package com.boman.web.core.service.ip;

import com.alibaba.fastjson.JSONObject;
import com.boman.domain.IpTimes;
import com.boman.domain.dto.AjaxResult;

import java.util.List;

/**
 * @author shiqian
 * @date 2022年01月24日 11:14
 **/
public interface IpTimesService {
    List<JSONObject> list(String ip, String times);

    JSONObject getById(Long id);
    JSONObject countByUsername(String username, String pwd);
    JSONObject getByIp(String ip);

    AjaxResult saveOrUpdate(JSONObject jsonObject);
    int delete(Long[] idArr);

    List<JSONObject> getAllColumns(String tableName);

    JSONObject selectByAppId(String appId);

}
